Subject: Re: [PATCH 7/7] [POWERPC] implement BEGIN/END_FW_FTR_SECTION

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 04 Oct 2006 20:08:55 +1000

On Wed, 2006-10-04 at 18:26 +1000, Stephen Rothwell wrote:
> Hi Ben,
> 
> On Wed, 04 Oct 2006 17:58:03 +1000 Benjamin Herrenschmidt <[email-masked]> wrote:
> >
> > I'd rather have a single apply_ftr_fixups() that takes the start/stop of
> > the fixup table and the value to compare against. That could then be
> > called for fw fixups at boot, fw fixups from modules, cpu fixups at
> > boot, cpu fixups from modules, and possibly fixups in the vdso's is a
> > feature I've been thinking of, and which would be easier with just a
> > single function like that.
> 
> I agree entirely, but my PowerPC assembly skills are not up to it :-(

Ok, I'll do that with you later this week

Ben.